#JS

C
_call
M
s
(Value)v
#JSON

C
Null
R
v

_init
M


Decode
M
v
(JSONString)s[(UseNull)b]
FromString
M
v
(JSONString)s[(UseNull)b]
Encode
M
s
(Value)v
ToString
M
s
(Value)v
#JSONCollection
Collection
C
_get
m
v
(Key)s
_put
m

(Value)v(Key)s
_next
m
v

Copy
m
JSONCollection

#URL

C
Protocol
v
s

Host
v
s

Port
v
s

User
v
s

Password
v
s

Path
v
s

Query
v
UrlQuery

Hash
v
s

Quote
M
s
(Path)s
Unquote
M
s
(Path)s[(DoNotDecodePlus)b]
Encode
M
s
(Path)s
Decode
M
s
(Path)s
_new
m

(URL)s
ToString
m
s

FromString
M
URL
(URL)s
#URLQuery

C
Count
r
i

Keys
r
String[]

_new
m

(Query)s
Exist
m
b
(Key)s
Remove
m

(Key)s
_get
m
s
(Key)s
_put
m

(Value)s(Key)s
ToString
m
s

FromString
M
URLQuery
(Query)s
